Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery
Interface CompiledXQuery

All Superinterfaces:
  CompiledExpression

All Known Implementing Classes:
  PathExpr

public interface CompiledXQuery
extends CompiledExpression

Author:
  wolf

Method Summary
`void` | `dump(java.io.Writer writer)` Writes a diagnostic dump of the expression structure to the specified writer.
`Sequence` | `eval(Sequence contextSequence)` Execute the compiled query, optionally using the specified sequence as context.
`XQueryContext` | `getContext()`
`XACMLSource` | `getSource()` Gets the source of this query.
`boolean` | `isValid()` Is the compiled expression still valid? Returns false if, for example, the source code of one of the imported modules has changed.
`void` | `reset()` Reset the compiled expression tree.
`void` | `setContext(XQueryContext context)`
`void` | `setSource(XACMLSource source)` Sets the source of this query.

Method Detail

### reset

    public void reset()

  Reset the compiled expression tree. Discard all temporary expression results.

  Specified by:
    `reset` in interface `CompiledExpression`

### getContext

    public XQueryContext getContext()

  Returns:
    the `XQueryContext` used to create this query

### setContext

    public void setContext(XQueryContext context)

### eval

    public Sequence eval(Sequence contextSequence)
                  throws XPathException

  Execute the compiled query, optionally using the specified sequence as context.

  Parameters:
    `contextSequence` -
  Throws:
    `XPathException`

### isValid

    public boolean isValid()

  Is the compiled expression still valid? Returns false if, for example, the source code of one of the imported modules has changed.

### dump

    public void dump(java.io.Writer writer)

  Writes a diagnostic dump of the expression structure to the specified writer.

### getSource

    public XACMLSource getSource()

  Gets the source of this query.

  Returns:
    This query's source

### setSource

    public void setSource(XACMLSource source)

  Sets the source of this query.

  Parameters:
    `source` - This query's source

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.